// creator  : weidu.exe (version 23600)
// argument : RSGAMAZ.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~RSGAMAZ~

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #28917 /* ~The trials have eliminated the weak and the foolish, the clumsy and the craven. The winnowing leaves only you, the worthiest applicants for Shar's dark favor.~ [RSM101] */
  IF ~~ THEN DO ~SetGlobal("CLOUD_PEAK","LOCALS",1)
~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #28918 /* ~Today you enter her umbra, baring not just your body and mind but also your souls to the Mistress of the Night. As you train in the darkest mysteries, you too will hear the whispers of the goddess.~ [RSM102] */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #31829 /* ~Believe me, her words bring no comfort! Shar does not coddle the infirm or insubordinate. But to the worthy who obey, she grants strength and power.~ [RSM103] */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #28919 /* ~Far more power than that wielded by our hated foes, the servants of the moon— What? Who dares intrude on our sanctuary. Can it be—?~ [RSM104] */
  IF ~~ THEN REPLY #28920 /* ~My name is <CHARNAME>, and I have come to put an end to your reign of terror.~ */ EXTERN ~RASAADJ~ 25
  IF ~~ THEN REPLY #28921 /* ~Yes, it is I, <CHARNAME>. No doubt you have heard of me.~ */ EXTERN ~RASAADJ~ 25
  IF ~~ THEN REPLY #28922 /* ~Are you talking to me?~ */ EXTERN ~RASAADJ~ 25
END

IF ~~ THEN BEGIN 4 // from: RASAADJ:25.0
  SAY #28923 /* ~Rasaad? Why have you come here after leaving me to die in the streets of Athkatla?~ [RSM106] */
  IF ~~ THEN EXTERN ~RASAADJ~ 26
END

IF ~~ THEN BEGIN 5 // from: RASAADJ:26.0
  SAY #28924 /* ~I see that you have learned to lie, Rasaad. Perhaps you too are ready to hear the whispers of Shar. I will share them with you, just as Alorgoth shared them with me.~ [RSM108] */
  IF ~~ THEN REPLY #28925 /* ~Alorgoth? Haven't we heard that name before?~ */ GOTO 6
  IF ~~ THEN REPLY #28926 /* ~What lies did Alorgoth tell you, Gamaz?~ */ GOTO 6
  IF ~  InParty("MINSC")
~ THEN REPLY #28927 /* ~You and Alorgoth will share the feeling of my boot on your butts!~ */ EXTERN ~MINSCJ~ 13
  IF ~  !InParty("MINSC")
~ THEN REPLY #28927 /* ~You and Alorgoth will share the feeling of my boot on your butts!~ */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.3 5.1 5.0
  SAY #28928 /* ~Alorgoth found me on that street where you left me, Rasaad. Rather than leave me to die, he took me into his shadow—but not to coddle me.~ [RSM110] */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #28929 /* ~Instead, he showed me the cold, hard truth of our existence. He showed me how I had grown weak under the tutelage of the Sun Soul monks. He showed me how my own brother had made me weaker still!~ [RSM111] */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #28930 /* ~Only power stands between us and destruction. Had I been strong enough to destroy my foes, I would have needed no help. Now the Shadow Weave grants me the strength my body lacked.~ [RSM112] */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #28931 /* ~In the umbra of Shar, I stand alone, with no need of help from others.~ [RSM113] */
  IF ~  InParty("VICONIA")
~ THEN REPLY #28932 /* ~Standing beside allies is no sign of weakness. It takes strength to depend on others.~ */ EXTERN ~VICONJ~ 16
  IF ~  InParty("VICONIA")
~ THEN REPLY #28933 /* ~Ahem. What about all of these minions of yours? I don't suppose they'll stand aside while we take you apart.~ */ EXTERN ~VICONJ~ 16
  IF ~  !InParty("VICONIA")
~ THEN REPLY #28932 /* ~Standing beside allies is no sign of weakness. It takes strength to depend on others.~ */ EXTERN ~RASAADJ~ 28
  IF ~  !InParty("VICONIA")
~ THEN REPLY #28933 /* ~Ahem. What about all of these minions of yours? I don't suppose they'll stand aside while we take you apart.~ */ EXTERN ~RASAADJ~ 28
END

IF ~~ THEN BEGIN 10 // from: RASAADJ:28.0
  SAY #28934 /* ~That is true. I cannot kill my brother.~ [RSM117] */
  IF ~~ THEN REPLY #28935 /* ~That's good. You've taken a first step away from the lies of Shar.~ */ GOTO 11
  IF ~~ THEN REPLY #28936 /* ~Why don't we just test that theory?~ */ GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.1 10.0
  SAY #28937 /* ~Applicants, kill my brother!~ [RSM118] */
  IF ~~ THEN DO ~Shout(99)
EscapeAreaObjectMove("OH3010","tran3010",2098,540,S)
~ EXIT
END

IF ~  AreaCheck("OH3010")
~ THEN BEGIN 12 // from: RASAADJ:29.0
  SAY #28938 /* ~It was the Sun Soul monks who lied to us, but Alorgoth opened my eyes to the truth that lies in darkness. Now that I have opened myself to the Shadow Weave, my powers have grown far beyond those we learned in Calimport.~ [RSO103] */
  IF ~~ THEN EXTERN ~RASAADJ~ 30
END

IF ~~ THEN BEGIN 13 // from: RASAADJ:30.0
  SAY #28939 /* ~All promises are empty, Rasaad, and Shar offers none. She only demands our obedience. In return she grants us the power to exert her will throughout the land.~ [RSO105] */
  IF ~~ THEN EXTERN ~RASAADJ~ 31
END

IF ~~ THEN BEGIN 14 // from: RASAADJ:31.0
  SAY #28940 /* ~You lie again! Do you really believe I never noticed how you held back when sparring against me? Say it now, before your new friends. Deny that you pretended to lose to me in every contest.~ [RSO107] */
  IF ~~ THEN EXTERN ~RASAADJ~ 32
END

IF ~~ THEN BEGIN 15 // from: RASAADJ:33.0
  SAY #28941 /* ~Somehow, I always knew. Only now, when I have freed myself from the bonds of light, can you finally speak the truth to me.~ [RSO110] */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #28942 /* ~But now it is too late. Unless... strike down your new companions and bow before me. Prove yourself worthy, and I shall admit you into the shadow.~ [RSO111] */
  IF ~~ THEN REPLY #28943 /* ~Don't listen to him, Rasaad. Gamaz has given in to evil. You are stronger than that.~ */ EXTERN ~RASAADJ~ 34
  IF ~~ THEN REPLY #28944 /* ~Don't even think about it, Rasaad. I'm much more dangerous than your brother.~ */ EXTERN ~RASAADJ~ 34
  IF ~~ THEN REPLY #28945 /* ~Go ahead, Rasaad. Your brother needs your help more than I do.~ */ EXTERN ~RASAADJ~ 34
END

IF ~~ THEN BEGIN 17 // from: RASAADJ:34.0
  SAY #28946 /* ~I embrace the night and all the power Shar offers. Destroy them, minions.~ [RSO113] */
  IF ~~ THEN DO ~Shout(99)
EscapeAreaObjectMove("OH3100","tran3020",835,385,S)
~ EXIT
END

IF ~  AreaCheck("OH3100")
Global("CLOUD_PEAK","LOCALS",2)
~ THEN BEGIN 18 // from: RASAADJ:35.0
  SAY #28947 /* ~"Beloved brother"? When we were boys, you only pretended to look up to me. Since that day the sun-monk caught me stealing, you have only looked down on me.~ [RSP102] */
  IF ~~ THEN DO ~SetGlobal("CLOUD_PEAK","LOCALS",3)
~ EXTERN ~RASAADJ~ 36
END

IF ~~ THEN BEGIN 19 // from: RASAADJ:36.0
  SAY #28948 /* ~You understood nothing! I was the elder! After father's death, it fell to me to be the strong one. But even in that you mocked me, holding back whenever we competed at the temple.~ [RSP104] */
  IF ~~ THEN GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #28949 /* ~But that was before Alorgoth introduced me to the Shadow Weave. The path to darkness is almost the same as the one taught to us as children.~ [RSP105] */
  IF ~  !InParty("VICONIA")
~ THEN EXTERN ~RASAADJ~ 37
  IF ~  InParty("VICONIA")
~ THEN EXTERN ~VICONJ~ 17
END

IF ~~ THEN BEGIN 21 // from: RASAADJ:38.0 RASAADJ:37.3 RASAADJ:37.1 RASAADJ:37.0
  SAY #28950 /* ~The shadow of Shar is far more potent than the light of her pale sister. Now I call upon the power of sorcery as well as the skills we learned together.~ [RSP109] */
  IF ~~ THEN GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.0
  SAY #28951 /* ~Even with these new friends at your side, you cannot hope to defeat me. Minions, slay my bro—~ [RSP110] */
  IF ~~ THEN EXTERN ~RASAADJ~ 39
END

IF ~~ THEN BEGIN 23 // from: RASAADJ:39.0
  SAY #28952 /* ~I have no brother. You are alone, Rasaad. Alone for these last living moments. Minions, deal with these others, while I destroy this Sun Soul fool.~ [RSP112] */
  IF ~~ THEN DO ~ApplySpell(Myself,WIZARD_MIRROR_IMAGE)
Shout(99)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 24 // from: RASAADJ:40.0
  SAY #28953 /* ~I am... sorry... brother... but as the silver moon... waxes and wanes, so too does life. I take some solace... in the fact that I die... at your hand...~ [RSQ102] */
  IF ~~ THEN REPLY #28954 /* ~Rasaad, I am sorry that it had to come to this.~ */ DO ~Kill(Myself)
~ EXTERN ~RASAADJ~ 41
  IF ~~ THEN REPLY #28955 /* ~Once more, light triumphs over darkness. Too bad there's never a bard around when you need one.~ */ DO ~Kill(Myself)
~ EXTERN ~RASAADJ~ 42
  IF ~~ THEN REPLY #28956 /* ~Sorry about your brother, Rasaad. Say, does he have any good loot on him?~ */ DO ~Kill(Myself)
~ EXTERN ~RASAADJ~ 43
  IF ~~ THEN REPLY #28957 /* ~It must be hard to kill your own brother. I hope I never have to do anything like that.~ */ DO ~Kill(Myself)
~ EXTERN ~RASAADJ~ 44
END
